DocsAPI ReferenceProduct/bff/product/product-image-mark-main
getProductAdmin BFF

/bff/product/product-image-mark-main

Sets the specified image as the main/featured image for the product. The main image is used as the product thumbnail in lists and social sharing.

ProductgetBffProductProduct-image-mark-main

Parameters

2 query

2 total
Query · 2
codestringRequired

Product code.

imageIdstringRequired

Blob token of the image to set as main.

Request

GET /bff/product/product-image-mark-main

get
curl -X GET "https://api.bizkithub.com/bff/product/product-image-mark-main?code=my-product&imageId=abc123def456" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Response

JSON payload

{
  "success": false
}

All response codes

1 status code documented

Need an API key?

All BizKitHub API endpoints require authentication via API key.

Get API Key